## org.hibernate.util
Class EmptyIterator

    java.lang.Object
      org.hibernate.util.EmptyIterator

All Implemented Interfaces:
  Iterator

    public final class EmptyIterator

extends Object
implements Iterator

Author:
  Gavin King

Field Summary
`static Iterator` `INSTANCE`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final Iterator INSTANCE

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.